<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ResearchPaperVersion extends Model
{
    //fillable
    protected $fillable = [
        'project_id',
        'uploaded_by',
        'version_number',
        'description',
        'file_path',
        'ai_feedback',
        'plagiarism_score',
        'recommendations',
        'status',
    ];

    public function project() {
        return $this->belongsTo(Project::class);
    }

    public function uploadedBy() {
        return $this->belongsTo(User::class, 'uploaded_by');
    }
}
